Subject: Re: [PATCH 10/11] Add MPC8360EMDS board support

From: Eugene Surovegin <[email-masked]>
Date: Wed, 4 Oct 2006 23:31:18 -0700

On Thu, Oct 05, 2006 at 04:26:34PM +1000, Benjamin Herrenschmidt wrote:
> On Wed, 2006-10-04 at 23:21 -0700, Eugene Surovegin wrote:
> > On Thu, Oct 05, 2006 at 09:36:59AM +1000, Benjamin Herrenschmidt wrote:
> > > Ugh ? Look at the #ifdef mess in ibm_emac...
> > 
> > Ugh?
> > 
> > I think you have to thank IBM/AMCC designers which keep changing bit 
> > layout of some registers, sometimes just changing polarity for no 
> > reason.
> > 
> > And with all due respect, Ben. Current ibm_emac despite of all "mess" 
> > is actually usable in production environment, which cannot be said 
> > about initial Armin version and second version you started but never 
> > got time to actually finish.
> 
> That second version was working fine... on the limited available
> variations of EMAC back then.

No it wasn't. If it were I would have never wasted my time re-writing 
this driver.

-- 
Eugene